<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>LTI - Example</title>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/rxjs/6.6.3/rxjs.umd.min.js" integrity="sha512-JnZPWAckMDks0CCIeGznqEo7ifmYK7VowHq/NVFlSXGkwxv4OBCJFy7nouOtJZmVldHo7FQLIdeWTI55yyZc4Q==" crossorigin="anonymous"></script>
  <script type="module" src="https://cdn.jsdelivr.net/npm/@ionic/core/dist/ionic/ionic.esm.js"></script>
  <script nomodule src="https://cdn.jsdelivr.net/npm/@ionic/core/dist/ionic/ionic.js"></script>
  <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/@ionic/core/css/ionic.bundle.css"/>
  <link rel="stylesheet" href="./index.css">
</head>
<body>
  <ion-app mode="ios">
    <ion-header translucent>
      <ion-toolbar>
        <ion-title>HUB LTI Signature</ion-title>
      </ion-toolbar>
    </ion-header>
    <ion-content color="light">
      <ion-grid>
        <ion-row>
          <ion-col size-lg="3" size-sm="12" size="6">
            <ion-card class="ion-margin-vertical">
              <ion-card-header>
                <ion-card-title>Headers</ion-card-title>
              </ion-card-header>
              <app-settings></app-settings>
            </ion-card>

            <ion-card class="ion-margin-vertical">
              <ion-card-header>
                <ion-card-title>Apps</ion-card-title>
              </ion-card-header>
              <app-list></app-list>
            </ion-card>
          </ion-col>
          <ion-col size-lg="6" size-sm="12" size="6">
            <ion-card class="ion-margin-vertical">
              <ion-card-header>
                <ion-card-title>EdTech</ion-card-title>
              </ion-card-header>
              <ion-card-content>
                <iframe class="simulator" name="simulator"></iframe>
              </ion-card-content>
            </ion-card>
          </ion-col>
          <ion-col size-lg="3">
            <ion-card class="ion-margin-vertical">
              <ion-card-header>
                <ion-card-title>Log</ion-card-title>
              </ion-card-header>
              <ion-list class="stdout"></ion-list>
            </ion-card>
          </ion-col>
        </ion-row>
      </ion-grid>
    </ion-content>
  </ion-app>

  <script src="./index.js"></script>
  <script>App()</script>
</body>
</html>